Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605355 - NFS access fails with "Socket operation on non-socket"
NFS access fails with "Socket operation on non-socket"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 608067
  Show dependency treegraph
 
Reported: 2010-06-17 13:36 EDT by Torsten Rohlfing
Modified: 2011-06-27 14:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 608067 (view as bug list)
Environment:
Last Closed: 2011-06-27 14:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Torsten Rohlfing 2010-06-17 13:36:11 EDT
Description of problem:

Since upgrading my clients to F13 I have started occasionally seeing failed NFS accesses with error message "Socket operation on non-socket"

Version-Release number of selected component (if applicable):

Client is running:
  kernel-2.6.33.5-112.fc13.x86_64
  nfs-utils-1.2.2-2.fc13.x86_64
  rpcbind-0.2.0-4.fc12.x86_64

Server is running:
  kernel-2.6.32.11-99.fc12.i686
  nfs-utils-1.2.1-5.fc12.i686
  rpcbind-0.2.0-4.fc12.i686

Mount options for the remote file system
type nfs (rw,udp,sloppy,vers=4,addr=192.168.71.104,clientaddr=192.168.71.112)

How reproducible:

Error happens randomly, but is more likely when multiple parallel file system access occur, e.g., when I run a parallel make build ("make -j8") on an NFS-mounted file system.

Actual results:

Client terminates operation with error "Socket operation on non-socket"; log entry in /var/log/messages reads "kernel: nfs: RPC call returned error 88"

Expected results:

No error.

Additional info:

Could this be related to:

http://ubuntuforums.org/showthread.php?p=9400187
Comment 1 Torsten Rohlfing 2010-06-18 14:48:59 EDT
Upgrading the server to the following did not make a difference:

  kernel-2.6.33.5-124.fc13.i686
  nfs-utils-1.2.2-2.fc13.i686

So the problem doesn't seem to be a server/client version issue.
Comment 2 Fedora Update System 2010-10-12 14:02:23 EDT
tomcat6-6.0.26-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/tomcat6-6.0.26-3.fc12
Comment 3 Bug Zapper 2011-06-02 06:26:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:28:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.